Package com.google.protobuf

# Interface DescriptorProtos.FieldOptionsOrBuilder

All Superinterfaces:
  `GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.FieldOptions>`, `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.FieldOptions`, `DescriptorProtos.FieldOptions.Builder`

Enclosing class:
  DescriptorProtos

public static interface DescriptorProtos.FieldOptionsOrBuilder extends GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.FieldOptions>

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.FieldOptions.CType`
`getCtype()`
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`
`boolean`
`getDebugRedact()`
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`
`boolean`
`getDeprecated()`
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`
`DescriptorProtos.FieldOptions.JSType`
`getJstype()`
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`
`boolean`
`getLazy()`
`optional bool lazy = 5 [default = false, json_name = "lazy"];`
`boolean`
`getPacked()`
`optional bool packed = 2 [json_name = "packed"];`
`DescriptorProtos.FieldOptions.OptionRetention`
`getRetention()`
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`
`DescriptorProtos.FieldOptions.OptionTargetType`
`getTarget()`
`optional .google.protobuf.FieldOptions.OptionTargetType target = 18 [json_name = "target"];`
`DescriptorProtos.UninterpretedOption`
`getUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`int`
`getUninterpretedOptionCount()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption>`
`getUninterpretedOptionList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOptionOrBuilder`
`getUninterpretedOptionOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>`
`getUninterpretedOptionOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`boolean`
`getUnverifiedLazy()`
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`
`boolean`
`getWeak()`
`optional bool weak = 10 [default = false, json_name = "weak"];`
`boolean`
`hasCtype()`
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`
`boolean`
`hasDebugRedact()`
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`
`boolean`
`hasDeprecated()`
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`
`boolean`
`hasJstype()`
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`
`boolean`
`hasLazy()`
`optional bool lazy = 5 [default = false, json_name = "lazy"];`
`boolean`
`hasPacked()`
`optional bool packed = 2 [json_name = "packed"];`
`boolean`
`hasRetention()`
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`
`boolean`
`hasTarget()`
`optional .google.protobuf.FieldOptions.OptionTargetType target = 18 [json_name = "target"];`
`boolean`
`hasUnverifiedLazy()`
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`
`boolean`
`hasWeak()`
`optional bool weak = 10 [default = false, json_name = "weak"];`

### Methods inherited from interface com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, hasExtension, hasExtension, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasCtype

boolean hasCtype()
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`

Returns:
  Whether the ctype field is set.

### getCtype

DescriptorProtos.FieldOptions.CType getCtype()
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`

Returns:
  The ctype.

### hasPacked

boolean hasPacked()
`optional bool packed = 2 [json_name = "packed"];`

Returns:
  Whether the packed field is set.

### getPacked

boolean getPacked()
`optional bool packed = 2 [json_name = "packed"];`

Returns:
  The packed.

### hasJstype

boolean hasJstype()
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`

Returns:
  Whether the jstype field is set.

### getJstype

DescriptorProtos.FieldOptions.JSType getJstype()
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`

Returns:
  The jstype.

### hasLazy

boolean hasLazy()
`optional bool lazy = 5 [default = false, json_name = "lazy"];`

Returns:
  Whether the lazy field is set.

### getLazy

boolean getLazy()
`optional bool lazy = 5 [default = false, json_name = "lazy"];`

Returns:
  The lazy.

### hasUnverifiedLazy

boolean hasUnverifiedLazy()
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`

Returns:
  Whether the unverifiedLazy field is set.

### getUnverifiedLazy

boolean getUnverifiedLazy()
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`

Returns:
  The unverifiedLazy.

### hasDeprecated

boolean hasDeprecated()
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`

Returns:
  Whether the deprecated field is set.

### getDeprecated

boolean getDeprecated()
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`

Returns:
  The deprecated.

### hasWeak

boolean hasWeak()
`optional bool weak = 10 [default = false, json_name = "weak"];`

Returns:
  Whether the weak field is set.

### getWeak

boolean getWeak()
`optional bool weak = 10 [default = false, json_name = "weak"];`

Returns:
  The weak.

### hasDebugRedact

boolean hasDebugRedact()
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`

Returns:
  Whether the debugRedact field is set.

### getDebugRedact

boolean getDebugRedact()
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`

Returns:
  The debugRedact.

### hasRetention

boolean hasRetention()
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`

Returns:
  Whether the retention field is set.

### getRetention

DescriptorProtos.FieldOptions.OptionRetention getRetention()
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`

Returns:
  The retention.

### hasTarget

boolean hasTarget()
`optional .google.protobuf.FieldOptions.OptionTargetType target = 18 [json_name = "target"];`

Returns:
  Whether the target field is set.

### getTarget

DescriptorProtos.FieldOptions.OptionTargetType getTarget()
`optional .google.protobuf.FieldOptions.OptionTargetType target = 18 [json_name = "target"];`

Returns:
  The target.

### getUninterpretedOptionList

List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOption

DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionCount

int getUninterpretedOptionCount()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilderList

List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilder

DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`